Package com.documentum.fc.client.search

# Interface IDfResultsManipulator

public interface IDfResultsManipulator
Performs manipulation of results.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfResultRaterFactory`
  `newPerceptualRaterFactory(IDfResultRaterConfig resultRaterConfig, IDfPerceptualRaterConfig perceptualRaterConfig)`
  Creates an IDfResultRaterFactory that implements the IPR algorithm (Incremental Perceptual Ranking).
  `IDfResultsSet`
  `sortBy(IDfResultsSet results, String attrName, boolean ascend)`
  Gets a view of the specified list of results, sorted by a specific attribute.
  `IDfResultsSet`
  `sortBy(IDfResultsSet results, Comparator comparer)`
  Gets a sorted view of the specified list of results, sorted according to a provided comparator.

- ## Method Details

  - ### sortBy

    IDfResultsSet sortBy(IDfResultsSet results, String attrName, boolean ascend)
    Gets a view of the specified list of results, sorted by a specific attribute. The sort algorithm used is stable (for results considered equals with respect to the sort criteria, the original order is kept). If the attribute is not found, then this method returns the original results set.
    Parameters:
      `results` - A list of results.
      `attrName` - The name of the attribute to sort by.
      `ascend` - `true`, to sort in the ascendant order, `false` to sort by the reverse order.
    Returns:
      A sorted view of the results set (the original results set is not modified).

  - ### sortBy

    IDfResultsSet sortBy(IDfResultsSet results, Comparator comparer)
    Gets a sorted view of the specified list of results, sorted according to a provided comparator. The sort algorithm used is stable (for results considered equal with respect to the sort criteria, the original order is kept).
    Parameters:
      `results` - a list of results
      `comparer` - a custom comparer
    Returns:
      a sorted view of the results set (the original results set is not modified)

  - ### newPerceptualRaterFactory

    IDfResultRaterFactory newPerceptualRaterFactory(IDfResultRaterConfig resultRaterConfig, IDfPerceptualRaterConfig perceptualRaterConfig)
    Creates an IDfResultRaterFactory that implements the IPR algorithm (Incremental Perceptual Ranking).
    Parameters:
      `resultRaterConfig` - The rating configuration which tunes precisely the different factors used by the IPR algorithm.
      `perceptualRaterConfig` - The configuration of the algorithm criteria weights.
    Returns:
      An IDfResultRaterFactory implementing the IPR algorithm.